Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035909
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformmajorhave not tried2017-05-03 14:272017-05-29 17:43
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revision0edfa4a62710
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035909: accessible organizations is calculated once per column in FIC

DescriptionCreating new records having many organizations can be slow due to FIC request. The main problem is caused when computing default values for combo fields, where accessible organizations is calculated once per field.
Steps To Reproduce- Follow steps described in 0035729
- Adding debug information can be seen for this concrete case the same calculation for accesible organizations is performed up to 23 times. Each of them taking ~18ms.
Proposed SolutionFIC should calculate accessible organizations once, and reuse it for all columns in the same request.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035729 closedalostale Performance issue in Financial Account when having high number of Organizations 

-  Notes
(0096503)
hgbot (developer)
2017-05-10 10:53

Repository: erp/devel/pi
Changeset: 0edfa4a627104f47e6141db673580230795e6878
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri May 05 11:34:45 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0edfa4a627104f47e6141db673580230795e6878 [^]

fixed issue 35909: accessible organizations is calculated per column in FIC

  Whenver FIC was exectued, accessible organization list was computed for each
  drop down column. The only parameter for this list is the organization of the
  current record, so the result will be the same for all columns. Being this a
  potentially heavy operation, it can result in slow FIC requests.

  Now the list is cached in OrgTree which is cached in session, so the list of
  referenceable organizations is only computed the first time it gets used per
  organization within the whole session.

---
M src/org/openbravo/base/secureApp/OrgTree.java
M src/org/openbravo/erpCommon/utility/Utility.java
---
(0096504)
alostale (developer)
2017-05-10 10:55

Patch tested with the same data and steps as reported in 0035729.

Time reduces from 500ms to 55ms.
(0096558)
caristu (developer)
2017-05-12 12:31

Code reviewed + tested OK.

Tested in pi@70fd32d0bf5b
(0096952)
hudsonbot (developer)
2017-05-29 17:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1ee70113bdc4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-05-03 14:27 alostale New Issue
2017-05-03 14:27 alostale Assigned To => platform
2017-05-03 14:27 alostale Modules => Core
2017-05-03 14:27 alostale Triggers an Emergency Pack => No
2017-05-03 14:27 alostale Relationship added related to 0035729
2017-05-03 14:35 alostale Tag Attached: Performance
2017-05-03 16:11 shuehner Issue Monitored: shuehner
2017-05-10 10:49 alostale Review Assigned To => caristu
2017-05-10 10:49 alostale Assigned To platform => alostale
2017-05-10 10:53 hgbot Checkin
2017-05-10 10:53 hgbot Note Added: 0096503
2017-05-10 10:53 hgbot Status new => resolved
2017-05-10 10:53 hgbot Resolution open => fixed
2017-05-10 10:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0edfa4a627104f47e6141db673580230795e6878 [^]
2017-05-10 10:55 alostale Note Added: 0096504
2017-05-12 12:31 caristu Note Added: 0096558
2017-05-12 12:31 caristu Status resolved => closed
2017-05-12 12:31 caristu Fixed in Version => 3.0PR17Q3
2017-05-29 17:43 hudsonbot Checkin
2017-05-29 17:43 hudsonbot Note Added: 0096952


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker